# Redirect From Sign with Singpass

After completing the digital signing process on the Sign portal, the user will be redirected back to the RP’s application. The redirection uses the pre-registered URL set during [**onboarding**](/for-relying-parties/how-our-api-works.md) and includes key query parameters, allowing the RP to track and finalise the transaction.

## Additional Query Parameters

* **request\_id:**  Match the sign request id returned during the initiate sign request API.
* **status:** Either `success` or `cancelled`, RP must check the actual signing status from [webhook](/for-relying-parties/api-documentation/sign-v3/accept-success-signing-webhook.md) or [get signing result API](/for-relying-parties/api-documentation/sign-v3/get-signing-result.md)
  * `success`: user is being redirected back to RP after successfully completing the signing
  * `cancelled`: user is being redirected back to RP after being identified as a [non-intended signer](https://docs.sign.singpass.gov.sg/for-relying-parties/api-documentation/sign-v3/sign-portal#non-intended-signers)

{% hint style="warning" %}
The query parameters will be changed soon.
{% endhint %}

**Example**

```sh
# Given pre-registed recirect_uri is https://rp.com/sign-redirect
https://rp.com/sign-redirect?request_id=signv3-01961988-8b77-7a86-9641-5f2507965c04&status=success
```

<details>

<summary>Can I provide more than 1 redirect URL for my application?</summary>

We only accept one redirect URL per application onboarded. When we send the user back to your application, we will include the `request_id` in the query parameters, which you can then use to redirect the user back to whichever page on your application you deem necessary.&#x20;

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sign.singpass.gov.sg/for-relying-parties/api-documentation/sign-v3/redirect-from-sign-with-singpass.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
